UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbmmon_format_func_t_stct Struct Reference

Format module function pointer container. More...

`#include <lbmmon.h>`

## Data Fields
lbmmon_format_init_t | mInit
lbmmon_format_apply_options_t | mApplyOptions
lbmmon_rcv_format_serialize_t | mRcvSerialize
lbmmon_src_format_serialize_t | mSrcSerialize
lbmmon_rcv_format_deserialize_t | mRcvDeserialize
lbmmon_src_format_deserialize_t | mSrcDeserialize
lbmmon_format_finish_t | mFinish
lbmmon_format_errmsg_t | mErrorMessage
lbmmon_evq_format_serialize_t | mEvqSerialize
lbmmon_evq_format_deserialize_t | mEvqDeserialize
lbmmon_ctx_format_serialize_t | mCtxSerialize
lbmmon_ctx_format_deserialize_t | mCtxDeserialize
lbmmon_rcv_topic_format_serialize_t | mRcvTopicSerialize
lbmmon_rcv_topic_format_deserialize_t | mRcvTopicDeserialize
lbmmon_wildcard_rcv_format_serialize_t | mWildcardRcvSerialize
lbmmon_wildcard_rcv_format_deserialize_t | mWildcardRcvDeserialize
lbmmon_umestore_format_serialize_t | mStoreSerialize
lbmmon_umestore_format_deserialize_t | mStoreDeserialize
lbmmon_umestore_filter_options_t | mStoreFilterOptions
lbmmon_umestore_free_unpacked_t | mStoreFreeUnpacked
lbmmon_gateway_format_serialize_t | mGatewaySerialize
lbmmon_gateway_format_deserialize_t | mGatewayDeserialize
lbmmon_gateway_free_unpacked_t | mGatewayFreeUnpacked

## Detailed Description

Format module function pointer container.

## Field Documentation

lbmmon_format_apply_options_t lbmmon_format_func_t_stct::mApplyOptions

Apply Format Options.

lbmmon_ctx_format_deserialize_t lbmmon_format_func_t_stct::mCtxDeserialize

Function to deserialize context statistics (lbm_context_stats_t).

lbmmon_ctx_format_serialize_t lbmmon_format_func_t_stct::mCtxSerialize

Function to serialize context statistics (lbm_context_stats_t).

lbmmon_format_errmsg_t lbmmon_format_func_t_stct::mErrorMessage

Function to return a message describing the last error encountered.

lbmmon_evq_format_deserialize_t lbmmon_format_func_t_stct::mEvqDeserialize

Function to deserialize event queue statistics (lbm_event_queue_stats_t).

lbmmon_evq_format_serialize_t lbmmon_format_func_t_stct::mEvqSerialize

Function to serialize event queue statistics (lbm_event_queue_stats_t).

lbmmon_format_finish_t lbmmon_format_func_t_stct::mFinish

Format-specific cleanup function.

lbmmon_gateway_format_deserialize_t lbmmon_format_func_t_stct::mGatewayDeserialize

Function to deserialize Gateway statistics.

lbmmon_gateway_free_unpacked_t lbmmon_format_func_t_stct::mGatewayFreeUnpacked

Function to free an unpacked Gateway PB message.

lbmmon_gateway_format_serialize_t lbmmon_format_func_t_stct::mGatewaySerialize

Function to serialize Gateway statistics.

lbmmon_format_init_t lbmmon_format_func_t_stct::mInit

Initialization function.

lbmmon_rcv_format_deserialize_t lbmmon_format_func_t_stct::mRcvDeserialize

Function to deserialize receiver statistics (lbm_rcv_transport_stats_t).

lbmmon_rcv_format_serialize_t lbmmon_format_func_t_stct::mRcvSerialize

Function to serialize receiver statistics (lbm_rcv_transport_stats_t).

lbmmon_rcv_topic_format_deserialize_t lbmmon_format_func_t_stct::mRcvTopicDeserialize

Function to deserialize receiver topic statistics.

lbmmon_rcv_topic_format_serialize_t lbmmon_format_func_t_stct::mRcvTopicSerialize

Function to serialize receiver topic statistics.

lbmmon_src_format_deserialize_t lbmmon_format_func_t_stct::mSrcDeserialize

Function to deserialize source statistics (lbm_src_transport_stats_t).

lbmmon_src_format_serialize_t lbmmon_format_func_t_stct::mSrcSerialize

Function to serialize source statistics (lbm_src_transport_stats_t).

lbmmon_umestore_format_deserialize_t lbmmon_format_func_t_stct::mStoreDeserialize

Function to deserialize Store statistics.

lbmmon_umestore_filter_options_t lbmmon_format_func_t_stct::mStoreFilterOptions

Function to provide Store filter options.

lbmmon_umestore_free_unpacked_t lbmmon_format_func_t_stct::mStoreFreeUnpacked

Function to free an unpacked Store PB message.

lbmmon_umestore_format_serialize_t lbmmon_format_func_t_stct::mStoreSerialize

Function to serialize Store statistics.

lbmmon_wildcard_rcv_format_deserialize_t lbmmon_format_func_t_stct::mWildcardRcvDeserialize

Function to deserialize wildcard receiver statistics.

lbmmon_wildcard_rcv_format_serialize_t lbmmon_format_func_t_stct::mWildcardRcvSerialize

Function to serialize wildcard receiver statistics.

The documentation for this struct was generated from the following file:

- lbmmon.h